Subject: Re: [[email-masked]: bug#44772: 2 test failures in automake 1.16.3]

From: Karl Berry <[email-masked]>
Date: Sat, 21 Nov 2020 15:00:58 -0700

Thanks Reuben.

    line 5737 of automake.in would become:

                . "\t\@if test ! -f \$@ && test \$(srcdir) != \$(builddir) &&
    test -n \"\$\$(find -L \$(srcdir)/$vala_file) -prune \! -newer
    \$(srcdir)/$c_file\"; then cp -p \$(srcdir)/$c_file $built_c_file; fi\n"

Bruno, can you plausibly make that change locally and retry?
Looks like it is also line 5737 of automake (so you could just edit your
locally-installed automake and not bother with the development sources,
if you're not already using them).

By the way, I don't think that find command (or the cp -p for that
matter) is excessively portable. But I guess we don't much care about
crufty systems for vala support. --thanks, karl.